Community
cancel
Showing results for 
Search instead for 
Did you mean: 
MakV
Beginner
893 Views

In Quartus we set the VHDL version with Settings -> Compiler Settings -> VHDL Input. How to inform the platform viewer about the VHDL version?

I am using the custom types and written those in the package. I am using them unconstrained like below

type mydatatype is array (integer range <>) of unsigned;

And with the settings the VHDL version to 2008, I could analyze and synthesize in Quartus. I would like to make component with the code I have written so that can be used in the Platform Generator. So when I try to do that, I get an error

element type for array type cannot be unconstrained

How to set the VHDL version in Platform Generator to get rid of the error?

 

Best Regards

 

0 Kudos
5 Replies
JOHI
New Contributor II
58 Views

Hello,

In Quartus go to Assignments / Settings

And in the settings dialog box go to Compiler Settings / Vhdl input.

 

settings.png

 

Best Regards,

Johi.

MakV
Beginner
58 Views

I am already using the settings in Quartus. I want to use the same sources and make a Qsys-component.

My question was how to set the VHDL version in Platform Generator(Qsys).

58 Views

Hi MakV,

 

May I know what edition (Standard/Pro) and version you are using?

 

Thanks.

MakV
Beginner
58 Views

It is 18.1 (Standard Endition)

58 Views

Hi MakV, Referring to https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/po/ss-quartus-comparison.pd..., VHDL 2008 is not supported in the Standard edition. Thanks.
Reply